[xiph-cvs] cvs commit: theora autogen.sh

Ralph Giles giles at xiph.org
Tue Jun 10 04:20:46 PDT 2003



giles       03/06/10 07:20:46

  Modified:    .        autogen.sh
  Log:
  Try to find installed versions of our .m4 macro files.
  
  This is an experiment. We've been just manually copying ogg.m4,
  vorbis.m4, etc. to the acinclude.m4 of whatever package needed them.
  This is dorky, because the makefiles actually install them in
  $(datadir)/aclocal, and the whole point of aclocal is to generate
  aclocal.m4 with all the required macros from their installed
  definitions.
  
  Unfortunately, on my debian system at least, aclocal doesn't look in
  /usr/local/share/aclocal by default. This patch attempts to find them in
  some common locations and adds that directory to the aclocal invocation
  in autogen.sh.
  
  This is a complete hack, because of course we don't know $prefix at
  autogen time. It makes it harder for developers using cvs, since things
  can't be built if the macros aren't found, but release users are
  unaffected because distributions will include them in the generated
  aclocal.m4.

Revision  Changes    Path
1.2       +15 -0     theora/autogen.sh

Index: autogen.sh
===================================================================
RCS file: /usr/local/cvsroot/theora/autogen.sh,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- autogen.sh	23 Sep 2002 03:02:43 -0000	1.1
+++ autogen.sh	10 Jun 2003 11:20:45 -0000	1.2
@@ -48,6 +48,21 @@
 
 echo "Generating configuration files for $package, please wait...."
 
+echo -n "looking for our m4 macros... "
+for dir in /usr/local/share/aclocal* /usr/local/aclocal* /sw/share/aclocal*; do
+  if test -d $dir; then
+    if ! test -z `fgrep XIPH_PATH $dir/*.m4 | wc -l`; then
+      echo $dir
+      ACLOCAL_FLAGS="-I $dir $ACLOCAL_FLAGS"
+      break
+    fi
+  fi
+  echo "nope."
+  echo
+  echo "Please install the ogg and vorbis libraries, or add the"
+  echo "location of ogg.m4 to ACLOCAL_FLAGS in the environment."
+  exit 1
+done
 echo "  aclocal $ACLOCAL_FLAGS"
 aclocal $ACLOCAL_FLAGS
 #echo "  autoheader"

<p><p>--- >8 ----
List archives:  http://www.xiph.org/archives/
Ogg project homepage: http://www.xiph.org/ogg/
To unsubscribe from this list, send a message to 'cvs-request at xiph.org'
containing only the word 'unsubscribe' in the body.  No subject is needed.
Unsubscribe messages sent to the list will be ignored/filtered.



More information about the commits mailing list